%define upstream_name    B-Hooks-OP-PPAddr
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Hook into opcode execution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(parent)
BuildRequires: perl-devel


%description
This module provides a c api for XS modules to hook into the execution of
perl opcodes.

the ExtUtils::Depends manpage is used to export all functions for other XS
modules to use. Include the following in your Makefile.PL:

    my $pkg = ExtUtils::Depends->new('Your::XSModule', 'B::Hooks::OP::PPAddr');
    WriteMakefile(
        ... # your normal makefile flags
        $pkg->get_makefile_vars,
    );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorarch}/*






%changelog
* Tue Nov 28 2023 tv <tv> 0.60.0-11.mga10
+ Revision: 2010451
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.60.0-10.mga9
+ Revision: 1861563
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.60.0-9.mga9
+ Revision: 1795516
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.60.0-8.mga9
+ Revision: 1726405
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.60.0-7.mga8
+ Revision: 1594307
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.60.0-6.mga8
+ Revision: 1528917
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.60.0-5.mga8
+ Revision: 1432777
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.60.0-4.mga7
+ Revision: 1292358
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.60.0-3.mga7
+ Revision: 1248991
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.60.0-2.mga7
+ Revision: 1163162
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 0.60.0-1.mga7
+ Revision: 1156639
- new version 0.06

* Thu Aug 31 2017 pterjan <pterjan> 0.50.0-2.mga7
+ Revision: 1148658
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.50.0-1.mga7
+ Revision: 1129871
- update to 0.05
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-15.mga6
+ Revision: 1022703
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-14.mga6
+ Revision: 956801
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-13.mga6
+ Revision: 844743
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.30.0-12.mga6
+ Revision: 841379
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-11.mga5
+ Revision: 741913
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.30.0-10.mga5
+ Revision: 732017
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-9.mga5
+ Revision: 683588
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-8.mga5
+ Revision: 630822
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-7.mga4
+ Revision: 524220
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-6.mga4
+ Revision: 430550
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-5.mga3
+ Revision: 363317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.30.0-4.mga3
+ Revision: 250302
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.30.0-3.mga2
+ Revision: 103557
- perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 24053
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 22030
- cleaning spec file
- imported package perl-B-Hooks-OP-PPAddr

